class_name Block
extends StaticBody3D


@export var material: StandardMaterial3D

@onready var block_faces: Node3D = $BlockFaces


func _ready() -> void:
	apply_materials()


func apply_materials() -> void:
	for face: MeshInstance3D in block_faces.get_children():
		face.set_surface_override_material(0, material)
